import { BuilderContext } from '@angular-devkit/architect';
import { json } from '@angular-devkit/core';
import { Ngssc } from 'angular-server-side-configuration';
import { BrowserBuilderOptions } from '@angular-devkit/build-angular';
import { Schema } from './schema';
import { NgsscContext } from './ngssc-context';
export declare type NgsscBuildSchema = Schema;
export declare function ngsscBuild(options: NgsscBuildSchema, context: BuilderContext): Promise<import("@angular-devkit/architect").BuilderOutput>;
export declare function detectVariablesAndBuildNgsscJson(options: NgsscBuildSchema, browserOptions: BrowserBuilderOptions, context: BuilderContext, multiple?: boolean): Promise<void>;
export declare function detectVariables(options: NgsscBuildSchema, context: BuilderContext): Promise<NgsscContext>;
export declare function buildNgssc(ngsscContext: NgsscContext, options: NgsscBuildSchema, browserOptions?: BrowserBuilderOptions, multiple?: boolean): Ngssc;
declare const _default: import("@angular-devkit/architect/src/internal").Builder<Schema & json.JsonObject>;
export default _default;
